Android Wear Projekt Gradle Sync schlägt fehl

? Eliezer @ | Original: StackOverFlow
---

Ich habe ein neues Projekt im Android Studio 0.8, um zu starten Integration Android Wear in einer meiner apps. Ich ein neues Projekt und schließen die Verschleißformfaktor, aber wenn ich versuche, sync ich :

Fehler: eine Version, die com.google.android.support:wearable:+ einstimmt konnte nicht gefunden werden .     Erforderlich nach:         win_control : tragen : nicht spezifiziert

EDIT: Ich spielte mit Gradle ein bisschen, und jetzt bekomme ich diesen Fehler :

Fehler: Fehler zu finden : com.google.android.gms : Play- Dienste - tragbar : +     Open in Projektstruktur dialogOpen Datei

Fehler: Fehler zu finden : com.google.android.support:wearable:+     Open in Projektstruktur dialogOpen Datei

---

Top 5 Antwort

1nickjm @

Hatte das gleiche Problem . Öffnen Sie Ihre Android -SDK -Manager, gehen Sie zu Werkzeuge -> Verwaltung hinzufügen auf Websites, und fügen Sie Ihre eigenen Repo :

https://dl-ssl.google.com/android/repository/addon-play-services-5.xml

Schließlich fand ich diese hilfreichen Führer. Es gibt viele tote Links und schlechte Informationen im Umlauf, aber diese funktionieren sollte :

http://developer.android.com/preview/google-play-services-wear.html

then,

http://developer.android.com/training/wearables/apps/creating.html

Auch überprüfen Sie Ihre android sdk -Manager, um sicherzustellen, dass Sie die neuesten Updates, sowie die Unterstützung Android- Repository / Bibliotheken haben !

2CyberDandy @

Ich fand heraus, dass, wie der Android Studio 0.8.1, wird die Option "Manage Add-On Seiten" fehlt im Menü Extras. Für den Fall, jemand anderes kann es nicht finden, entweder, hier ist, wie es zu bekommen :

1 / Gehen Sie zu Extras > Android > SDK Manager.

2 / Dann, wenn das SDK -Manager geöffnet wird, im oberen Menü wählen Sie Extras > Add-Ons verwalten Websites .

Dort gehen Sie, dann müssen Sie nur gelten, was nickjm sagte ( danke für den Tipp btw, ich frage mich, was los war mit dieser Fehlermeldung !).

3user3196061 @

Hinzufügen des Add vor Ort nicht für mich arbeiten. Im Android SDK, habe ich einfach geöffnet : Tools-> Optionen ...-> Aktivieren Vorschau Werkzeuge ( Check it ) Dann hatte es ein Update für den Verschleiß so ..., das ich natürlich aktualisiert.

Dies erlaubt die Bibliothek durch die IDE referenziert werden.

4Sveinung Kval Bakken @

Wenn das SDK -Manager hat keine Updates für Sie nicht finden, es half mir die m2repository Ordner wischen unter ~/.android/extras/google/ .

Sie können manuell die Update-Site, indem Sie Ihre Lieblings- Text-Editor auf ~/.android/repositories.cfg hinzufügen, es sollte so aussehen:

### User Sources for Android SDK Manager
#Wed Jul 02 10:15:39 EDT 2014
count=1
src00=https://dl-ssl.google.com/android/repository/addon-play-services-5.xml
5ekatz @

Wenn all dies nicht für Sie arbeiten, lesen Sie die Anweisungen auf https://code.google.com/p/android/issues/detail?id=72454 Für mich, war ich einfach nur fehlende Google Repository von den Extras im sdk -Manager